#
# spec file for package webmin (Version 1.230)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  perl-Net_SSLeay suse-release
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl perl-Net_SSLeay rpm suse-release

Name:         webmin
URL:          http://www.webmin.net
%define __spec_install_post %{nil}
%define	WEBMINLIB	/usr/lib/webmin
Summary:      A web-based administration interface for Unix systems
Version:      1.230
Release:      4
PreReq:       /usr/bin/perl %insserv_prereq  %fillup_prereq distribution-release
AutoReq: 0
License:      BSD
Group:        System/Management
Source:       http://www.webmin.com/download/%{name}-%{version}.tar.gz
Patch:        webmin-tmpfix.patch
Patch1:       webmin-syslog.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
A web-based administration interface for Unix systems. Using Webmin you
can configure DNS, Samba, NFS, local/remote filesystems and more using
your web browser.

After installation, enter the URL http://localhost:10000/ into your
browser and login as root with your root password.



Authors:
--------
    Jamie Cameron

%prep
%setup -q
%patch
%patch1

%build
(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
rm -f mount/freebsd-mounts*
rm -f mount/openbsd-mounts*
rm -f mount/macos-mounts*
rm -f webmin-gentoo-init
chmod -R og-w .

%install
mkdir -p %{buildroot}%{WEBMINLIB}
#mkdir -p %{buildroot}/etc/sysconfig
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/pam.d
mkdir -p %{buildroot}/usr/sbin
cp -rp * %{buildroot}%{WEBMINLIB}
#cp webmin-daemon %{buildroot}/etc/sysconfig/webmin
cp webmin-init %{buildroot}/etc/init.d/webmin
ln -sf /etc/init.d/webmin %{buildroot}/usr/sbin/rcwebmin
cp webmin-pam %{buildroot}/etc/pam.d/webmin
find %{buildroot} -name "*.orig" | xargs rm -rf
echo rpm >%{buildroot}%{WEBMINLIB}/install-type
install -m 755 -d %{buildroot}/var/lib/webmin

%clean
#%{rmDESTDIR}
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{WEBMINLIB}
#/etc/sysconfig/webmin
/etc/init.d/webmin
/usr/sbin/rcwebmin
%config /etc/pam.d/webmin
/var/lib/webmin

%post
cd %{WEBMINLIB}
tempdir=/var/lib/webmin
export tempdir
config_dir=/etc/webmin
var_dir=/var/webmin
perl=/usr/bin/perl
autoos=3
port=10000
login=root
crypt=x
host=`hostname`
ssl=1
atboot=1
nochown=1
autothird=1
noperlpath=1
nouninstall=1
nostart=1
export config_dir var_dir perl autoos port login crypt host ssl atboot nochown autothird noperlpath nouninstall nostart allow
./setup.sh < /dev/null
cd /
rm -f /var/lock/subsys/webmin
%{fillup_and_insserv -y webmin }

%preun
if [ "$1" = 0 ]; then
	grep root=%{WEBMINLIB} /etc/webmin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of webmin
		# has taken it's place. Run uninstalls and stop the server
		echo "Running uninstall scripts .."
		(cd %{WEBMINLIB} ; WEBMIN_CONFIG=/etc/webmin WEBMIN_VAR=/var/webmin LANG= %{WEBMINLIB}/run-uninstalls.pl)
		/etc/init.d/webmin stop >/dev/null 2>&1
		/bin/true
	fi
fi

%postun
%{insserv_cleanup}
if [ "$1" = 0 ]; then
	grep root=%{WEBMINLIB} /etc/webmin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of webmin
		# has taken it's place. Delete the config files
		rm -rf /etc/webmin /var/webmin
	fi
fi

%changelog -n webmin
* Thu Dec 08 2005 - meissner@suse.de
- Remote code execution/denial of service by format string attack,
  [#135832]/CVE-2005-3912.
* Mon Oct 17 2005 - ihno@suse.de
- Security Update: Remote code execution through PAM authentication
  Upgrade to version 1.230 (#118784)
* Mon Aug 16 2004 - lnussel@suse.de
- fix insecure use of temporary files (#43836)
* Tue Jul 27 2004 - ihno@suse.de
- upgrade to 1.150 for security reasons (42200)
* Thu Apr 01 2004 - ihno@suse.de
- Fixed webmin rpm scripts should contain calls to try-restart / stop the service (29052)
- Fixed webmin started with installation and modifies init script. (30066)
- Fixed Webmin expects apache but apache2 is installed (34961)
* Mon Mar 22 2004 - ihno@suse.de
- delete *.orig files
* Mon Mar 01 2004 - ihno@suse.de
- upgrade to version 1.130
* Mon Feb 23 2004 - ihno@suse.de
- upgrade to version 1.110
* Fri Feb 20 2004 - ro@suse.de
- readd suse-release to neededforbuild
  (postinstall wont work without)
* Fri Feb 06 2004 - hmacht@suse.de
- building as non-root (#norootforbuild)
* Fri Sep 19 2003 - ro@suse.de
- accept SuSE-9.0
* Sun Apr 13 2003 - ihno@suse.de
- Added SuSE 8.2 to the list of supportet systems
  (not only in rpm-install-script, but also in os_list.txt)
* Mon Mar 03 2003 - ihno@suse.de
- added /usr/sbin/rcwebmin
* Fri Feb 28 2003 - ihno@suse.de
- inserted recoqnition of SL 8.2
* Fri Feb 28 2003 - ro@suse.de
- added distribution-release as prereq
- removed duplicates in requires (prereqs are always required)
* Thu Feb 27 2003 - ro@suse.de
- changed neededforbuild (aaa_version -> suse-release)
* Mon Feb 24 2003 - ihno@suse.de
- update to new version 1.070
* Mon Feb 24 2003 - ro@suse.de
- export atboot in postinstall as well
* Mon Feb 10 2003 - ihno@suse.de
- update to new version 1.060
* Mon Feb 03 2003 - ro@suse.de
- removed /etc/sysconfig/daemons/webmin from filelist
* Thu Jan 16 2003 - ihno@suse.de
- changing postinstall to use insserv
* Fri Nov 22 2002 - ihno@suse.de
- initial Version 1.030
